org.keycloak.services.resources.admin

## Class AdminEventBuilder

- java.lang.Object
- - org.keycloak.services.resources.admin.AdminEventBuilder

-     public class AdminEventBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminEventBuilder(RealmModel realm, AdminAuth auth, KeycloakSession session, ClientConnection clientConnection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminEventBuilder` | `authClient(ClientModel client)`
    `AdminEventBuilder` | `authIpAddress(String ipAddress)`
    `AdminEventBuilder` | `authRealm(RealmModel realm)`
    `AdminEventBuilder` | `authUser(UserModel user)`
    `void` | `error(String error)`
    `AdminEvent` | `getEvent()`
    `AdminEventBuilder` | `operation(OperationType operationType)`
    `AdminEventBuilder` | `realm(RealmModel realm)`
    `AdminEventBuilder` | `realm(String realmId)`
    `AdminEventBuilder` | `representation(Object value)`
    `AdminEventBuilder` | `resource(ResourceType resourceType)`
    `AdminEventBuilder` | `resourcePath(String... pathElements)`
    `AdminEventBuilder` | `resourcePath(javax.ws.rs.core.UriInfo uriInfo)`
    `AdminEventBuilder` | `resourcePath(javax.ws.rs.core.UriInfo uriInfo, String id)`
    `void` | `success()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminEventBuilder

          public AdminEventBuilder(RealmModel realm,
                                   AdminAuth auth,
                                   KeycloakSession session,
                                   ClientConnection clientConnection)

  - ### Method Detail

    - #### realm

          public AdminEventBuilder realm(RealmModel realm)

    - #### realm

          public AdminEventBuilder realm(String realmId)

    - #### operation

          public AdminEventBuilder operation(OperationType operationType)

    - #### resource

          public AdminEventBuilder resource(ResourceType resourceType)

    - #### authRealm

          public AdminEventBuilder authRealm(RealmModel realm)

    - #### authClient

          public AdminEventBuilder authClient(ClientModel client)

    - #### authUser

          public AdminEventBuilder authUser(UserModel user)

    - #### authIpAddress

          public AdminEventBuilder authIpAddress(String ipAddress)

    - #### resourcePath

          public AdminEventBuilder resourcePath(String... pathElements)

    - #### resourcePath

          public AdminEventBuilder resourcePath(javax.ws.rs.core.UriInfo uriInfo)

    - #### resourcePath

          public AdminEventBuilder resourcePath(javax.ws.rs.core.UriInfo uriInfo,
                                                String id)

    - #### error

          public void error(String error)

    - #### representation

          public AdminEventBuilder representation(Object value)

    - #### getEvent

          public AdminEvent getEvent()

    - #### success

          public void success()

Copyright © 2016 JBoss by Red Hat. All rights reserved.